# No Man's Sky 5.0.4
# BID: 351B77A43CF31BF4

unsafeCheck: true

MASTER_WRITE:
# Redirect DR frametime target to MAIN+0x4864F00
  -
    type: bytes
    main_offset: 0x1EEAE88
    value_type: uint32
    value: 0xD503201F
  -
    type: bytes
    main_offset: 0x1EEAE94
    value_type: uint32
    value: 
      - 0xD0014BD2
      - 0xB9400408
      - 0xBD4F0240
  # default value
  -
    type: bytes
    main_offset: 0x4864F00
    value_type: float
    value: 33.3333333333
ALL_FPS:
  -
    type: evaluate_write
    address: [MAIN, 0x4864F00]
    value_type: float
    value: FRAMETIME_TARGET